![GitHub release (latest by date including pre-releases)](https://img.shields.io/github/v/release/bdunderscore/modular-avatar?include_prereleases&label=prerelease)
![GitHub](https://img.shields.io/github/license/bdunderscore/modular-avatar)
![GitHub issues](https://img.shields.io/github/issues/bdunderscore/modular-avatar)

Modular Avatar is a suite of **non-destructive** tools for modularizing your avatars, and for distributing avatar
components.
With Modular Avatar, adding a new outfit or gimmick to your avatar is as easy as drag-and-drop!

Modular Avatar currently supports:

* Merging prefab armatures into the parent avatar, as is often done to add outfits. MA minimizes the number of bones
  that are created in this process, reusing existing bones where possible.
* Merging subcomponent animators into the parent avatar, for use with various types of avatar gimmicks.

**Warning**: Modular Avatar is still in development, and is not yet ready for production use. Backwards-incompatible changes may
be made prior to version 1.0. As such, it is not recommended to distribute prefabs based on Modular Avatar until the
1.0 release.

For more information, check out the [documentation](https://m-a.nadena.dev).

---

モデュラーアバターは、アバター設定を分割したり、アバター用ギミックや衣装を配布するための**非破壊的な**ツールキットです。
モデュラーアバターを使えば、新しい衣装やギミックの導入はドラッグアンドドロップで楽ちんです！

モデュラーアバターは現在以下の機能があります。

* 衣装導入でよくやる、プレハブのアーマチュアを親のアバターに統合すること。この過程で新規生成されるボーンを最小限にして、できる限り既存のボーンを使いまわします。
* 部分的なアニメーターを親に統合することで、様々のギミックの実装を簡単にします。

**注意:** モデュラーアバターは現在まだ開発中で、本番環境での使用は推奨しません。バージョン1.0に向けて、後方互換性のない変更が行われる可能性があります。
そのため、モデュラーアバターをベースにしたプレハブを配布することは、バージョン1.0がリリースされるまでお勧めしません。

詳しくは[ドキュメンテーションページにご参照ください](https://modular-avatar.nadena.dev/ja/).
