---
sidebar_position: 1
---

# Modular Avatar

Modular Avatar is a suite of **non-destructive** tools for modularizing your avatars, and for distributing avatar
components.
With Modular Avatar, adding a new outfit or gimmick to your avatar is as easy as drag-and-drop!

Modular Avatar's features are packaged as individual components, which can be added as needed. You can opt-in to just the features
you want to use. It can automatically merge outfits onto your avatar, build an animator out of multiple components, and much more.

:::caution

Modular Avatar is still in development, and is not yet ready for production use. Backwards-incompatible changes may
be made prior to version 1.0. As such, it is not recommended to distribute prefabs based on Modular Avatar until the
1.0 release.

:::

To install Modular Avatar, download and import the `unitypackage` file from the "Assets" section on [the latest release](https://github.com/bdunderscore/modular-avatar/releases).

Then, check out one of the tutorials below:
* [Simple clothing setup](tutorials/clothing)

You can also check out some of the [detailed reference documentation](reference) on individual components.

Finally, if you are developing your own prefabs using Modular Avatar, check out the [page on prefab distribution](distributing-prefabs).